﻿#ifndef _DRIVER_SAT_DRIVER_SATDLL_H_
#define _DRIVER_SAT_DRIVER_SATDLL_H_

#ifdef WIN32
	#ifndef __cplusplus
	#define DllExport __declspec(dllexport)
	#else
	#define DllExport extern "C" __declspec(dllexport)
	#endif
#else
	#define __stdcall
#endif

#if __cplusplus
	extern "C"
	{
#endif

const char *__stdcall AtivarSAT(int numeroSessao, int subComando, const char *codigoDeAtivacao, const char *CNPJ, int cUF);
const char *__stdcall ComunicarCertificadoICPBRASIL(int numeroSessao, const char *codigoDeAtivacao, const char *certificado);
const char *__stdcall EnviarDadosVenda(int numeroSessao, const char *codigoDeAtivacao, const char *dadosVenda);
const char *__stdcall CancelarUltimaVenda(int numeroSessao, const char *codigoDeAtivacao, const char *chave, const char *dadosCancelamento);
const char *__stdcall ConsultarSAT(int numeroSessao);
const char *__stdcall TesteFimAFim(int numeroSessao, const char *codigoDeAtivacao, const char *dadosVenda);
const char *__stdcall ConsultarStatusOperacional(int numeroSessao, const char *codigoDeAtivacao);
const char *__stdcall ConfigurarInterfaceDeRede(int numeroSessao, const char *codigoDeAtivacao, const char *dadosConfiguracao);
const char *__stdcall AssociarAssinatura(int numeroSessao, const char *codigoDeAtivacao, const char *CNPJvalue, const char *assinaturaCNPJs);
const char *__stdcall AtualizarSoftwareSAT(int numeroSessao, const char *codigoDeAtivacao);
const char *__stdcall ExtrairLogs(int numeroSessao, const char *codigoDeAtivacao);
const char *__stdcall BloquearSAT(int numeroSessao, const char *codigoDeAtivacao);
const char *__stdcall DesbloquearSAT(int numeroSessao, const char *codigoDeAtivacao);
const char *__stdcall TrocarCodigoDeAtivacao(int numeroSessao, const char *codigoDeAtivacao, int opcao, const char *novoCodigo, const char *confNovoCodigo);
const char *__stdcall ConsultarNumeroSessao(int numeroSessao, const char *codigoDeAtivacao, int cNumeroDeSessao);

#ifdef __cplusplus
}
#endif
                                   
#endif //#ifndef _DRIVER_SAT_DRIVER_SATDLL_H_
